WidgetsRegistry (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.registry
Class WidgetsRegistry

    java.lang.Object
      org.gcube.portlets.admin.resourcemanagement.client.widgets.registry.WidgetsRegistry

    public class WidgetsRegistry

extends Object

Constructor Summary
`WidgetsRegistry()`

Method Summary
`static boolean` | `containsElem(String ID)`
`static ConsolePanel` | `getConsole()` Utility that returns the singleton instance of console panel.
`static Object` | `getElem(String key)`
`static
`<T> Object`
` | `getElem(String key, Class<T> elemType)`
`static MainPanel` | `getPanel(String ID)`
`static com.google.gwt.user.client.ui.Widget` | `getWidget(String ID)`
`static void` | `registerElem(String ID, Object widget)`
`static void` | `registerPanel(String ID, MainPanel widget)`
`static void` | `registerWidget(String ID, com.google.gwt.user.client.ui.Widget widget)`
`static void` | `unregisterWidget(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetsRegistry

    public WidgetsRegistry()

Method Detail

### registerWidget

    public static void registerWidget(String ID,
                                      com.google.gwt.user.client.ui.Widget widget)

### registerPanel

    public static void registerPanel(String ID,
                                     MainPanel widget)

### getPanel

    public static MainPanel getPanel(String ID)

### getWidget

    public static com.google.gwt.user.client.ui.Widget getWidget(String ID)

### containsElem

    public static boolean containsElem(String ID)

### getElem

    public static Object getElem(String key)

### unregisterWidget

    public static void unregisterWidget(String key)

### registerElem

    public static void registerElem(String ID,
                                    Object widget)

### getElem

    public static final <T> Object getElem(String key,
                                           Class<T> elemType)
                                throws WidgetNotRegistered

  Throws:
    `WidgetNotRegistered`

### getConsole

    public static ConsolePanel getConsole()

  Utility that returns the singleton instance of console panel.

  Returns:
    null if the console has not been registered

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.